--
-- toardb/extension/toar_controlled_vocabulary/toar_controlled_vocabulary--0.6--0.6.5.sql
--
-- [Step to install]
--
-- 1. 
--

-- INSTALL VERSION: '0.6.5'

-- complain if script is sourced in psql, rather than via CREATE EXTENSION
\echo Use "CREATE/ALTER EXTENSION toar_controlled_vocabulary" to load this file. \quit

-- still to do:
-- How to set convoc_schema to result from SELECT:
-- SELECT table_schema INTO convoc_schema FROM information_schema.tables WHERE table_name='df_vocabulary';

SET SCHEMA 'toar_convoc';

-- Update Timeseries
-- =================

-- Data Origin

ALTER TABLE mm_vocabulary
    RENAME TO do_vocabulary;

UPDATE do_vocabulary SET (enum_val, enum_str, enum_display_str) = (0, 'Instrument', 'instrument') WHERE enum_val=0;
UPDATE do_vocabulary SET (enum_val, enum_str, enum_display_str) = (1, 'COSMOREA6', 'COSMO REA 6') WHERE enum_val=1;

INSERT INTO do_vocabulary (enum_val, enum_str, enum_display_str) VALUES
  (2, 'ERA5', 'ERA 5');

--Data Origin Type

ALTER TABLE ds_vocabulary
    RENAME TO ot_vocabulary;

UPDATE ot_vocabulary SET (enum_val, enum_str, enum_display_str) = (0, 'Measurement', 'measurement') WHERE enum_val=0;
UPDATE ot_vocabulary SET (enum_val, enum_str, enum_display_str) = (1, 'Model', 'model') WHERE enum_val=1;

