--
-- toardb/extension/toar_controlled_vocabulary/toar_controlled_vocabulary--0.7.6--0.7.7.sql
--
-- [Step to install]
--
-- 1. 
--

-- INSTALL VERSION: '0.7.7'

-- complain if script is sourced in psql, rather than via CREATE EXTENSION
\echo Use "CREATE/ALTER EXTENSION toar_controlled_vocabulary" to load this file. \quit

-- still to do:
-- How to set convoc_schema to result from SELECT:
-- SELECT table_schema INTO convoc_schema FROM information_schema.tables WHERE table_name='df_vocabulary';

SET SCHEMA 'toar_convoc';

-- Stationmeta
-- ===========

-- climatic zones
-- see: IPCC Climate Zone Map reported in Figure 3A.5.1 in Chapter 3 of Vol.4 of 2019 Refinement

UPDATE CZ_vocabulary SET  enum_display_str='-1 (undefined)'   WHERE enum_val=-1;
UPDATE CZ_vocabulary SET  enum_display_str='0 (unclassified)' WHERE enum_val=0;

-- Station HTAP Regions (TIER1)
-- The integer denoting the “tier1” region defined in the task force on hemispheric transport of air pollution (TFHTAP) coordinated model studies.

UPDATE TR_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 5, 'HTAPTier1SAS', '5 (SAS South Asia: India, Nepal, Pakistan, Afghanistan, Bangladesh, Sri Lanka)') WHERE enum_val=5;

