# SPDX-FileCopyrightText: 2021 Forschungszentrum Jülich GmbH
# SPDX-License-Identifier: MIT

"""
class TimeseriesContributorList (Base)
======================================
"""
from sqlalchemy import Column, Integer, String, ARRAY, Table
from toardb.base import Base


s1_contributors_table = Table('s1_contributors', Base.metadata,
    Column('request_id', String(36), primary_key=True, nullable=False),
    Column('timeseries_ids',ARRAY(Integer))
)

