# by Max Lensing 12.04.2021
# -------------------------
# This script adds the timezones and the entry to ontology and the entry ('N/A','N/A').
#
#

import TOARII_ontology
from pytz import all_timezones

onto = TOARII_ontology.TOAR_Ontology('TOAR-II_Ontology_v0.4.owl')

timezoneclass = onto.get_class('Timezone')
timezones = [onto.getEntries(timezoneclass)]

nextid = onto.get_next_id()
print(all_timezones)
for timezone in all_timezones:
    if not timezone in timezones:
        onto.add_entry(timezoneclass, timezone, timezone, nextid)
        nextid += 1
        timezones.append(timezone)

countryclass = onto.get_class('Country Code')
onto.add_entry(countryclass, 'N/A', 'N/A')

onto.save('TOAR-II_Ontology_v0.4.neu.owl')
