# comparison script for ontology and controlled vocabulary

## requirements

You can install the reqired packages via ```pip install -r requirements.txt```

In addition, the file **'TOARII_ontology.py'** is needed to work with the ontology.
To run the script, you need to be in the VPN of the research centre.

## running the script
The script is executed via the command line.
```python OntoComp.py [--onto filename] [-fo] [-o]```

Command line argumemts:

    --onto [filename]   allows to specify a path to an ontology file to be used (in .jsonld format)
    -o                  outputs all comparisons of all classes and their entries
    -fo                 outputs only the classes with incorrect comparisons

If no explicit ontology file is specified, the data is obtained via the REST interface.
If neither '-o' nor '-fo' is specified, all classes and the associated errors are displayed.