--
-- toardb/extension/toar_controlled_vocabulary/toar_controlled_vocabulary--0.5--0.6.sql
--
-- [Step to install]
--
-- 1. 
--

-- INSTALL VERSION: '0.6'

-- complain if script is sourced in psql, rather than via CREATE EXTENSION
\echo Use "CREATE/ALTER EXTENSION toar_controlled_vocabulary" to load this file. \quit

-- Update Data
-- ===========

-- Data Flags

-- still to do:
-- How to set convoc_schema to result from SELECT:
-- SELECT table_schema INTO convoc_schema FROM information_schema.tables WHERE table_name='df_vocabulary';

SET SCHEMA 'toar_convoc';

INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES
  ( 7, 'OKPreliminaryNotChecked', 'OK preliminary not checked'),
  (16, 'QuestionnablePreliminaryNotChecked', 'questionnable preliminary not checked'),
  (26, 'ErroneousPreliminaryFlagged1', 'erroneous preliminary flagged (1)'),
  (27, 'ErroneousPreliminaryFlagged2', 'erroneous preliminary flagged (2)'),
  (28, 'ErroneousPreliminaryNotChecked', 'erroneous preliminary not checked');
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = (22, 'ErroneousValidatedFlagged1', 'erroneous validated flagged (1)') WHERE enum_val=22;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = (23, 'ErroneousValidatedFlagged2', 'erroneous validated flagged (2)') WHERE enum_val=23;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = (24, 'ErroneousPreliminaryConfirmed', 'erroneous preliminary confirmed') WHERE enum_val=24;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = (25, 'ErroneousPreliminaryUnconfirmed', 'erroneous preliminary unconfirmed') WHERE enum_val=25;

-- Roles
-- =====

-- Role Status

UPDATE rs_vocabulary SET enum_str = 'Active' WHERE enum_val=0;
UPDATE rs_vocabulary SET enum_str = 'Inactive' WHERE enum_val=1;
UPDATE rs_vocabulary SET enum_str = 'Unknown' WHERE enum_val=2;
