--
-- toardb/extension/toar_controlled_vocabulary/toar_controlled_vocabulary--0.7.5--0.7.6.sql
--
-- [Step to install]
--
-- 1. 
--

-- INSTALL VERSION: '0.7.6'

-- complain if script is sourced in psql, rather than via CREATE EXTENSION
\echo Use "CREATE/ALTER EXTENSION toar_controlled_vocabulary" to load this file. \quit

-- still to do:
-- How to set convoc_schema to result from SELECT:
-- SELECT table_schema INTO convoc_schema FROM information_schema.tables WHERE table_name='df_vocabulary';

SET SCHEMA 'toar_convoc';

-- Data
-- ====

-- Data Flags
-- see: TOAR User Guide Volume 03 "Database": chapter 5.2

UPDATE DF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 10, 'QuestionableValidatedConfirmed', 'questionable validated confirmed') WHERE enum_val=10;
UPDATE DF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 11, 'QuestionableValidatedUnconfirmed', 'questionable validated unconfirmed') WHERE enum_val=11;
UPDATE DF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 12, 'QuestionableValidatedFlagged', 'questionable validated flagged') WHERE enum_val=12;
UPDATE DF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 13, 'QuestionablePreliminaryConfirmed', 'questionable preliminary confirmed') WHERE enum_val=13;
UPDATE DF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 14, 'QuestionablePreliminaryUnconfirmed', 'questionable preliminary unconfirmed') WHERE enum_val=14;
UPDATE DF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 15, 'QuestionablePreliminaryFlagged', 'questionable preliminary flagged') WHERE enum_val=15;
UPDATE DF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 16, 'QuestionablePreliminaryNotChecked', 'questionable preliminary not checked') WHERE enum_val=16;

